OpenVDB 13.0.0

Loading...
Searching...
No Matches
AccessorEval< CodecType, ValueType > Struct Template Reference

Accessor to call unsafe get and set methods based on templated Codec and Value. More...

`#include <openvdb/points/AttributeArray.h>`

## Public Types
using | GetterPtr = ValueType (*)(const AttributeArray* array, const Index n)
using | SetterPtr = void (*)(AttributeArray* array, const Index n, const ValueType& value)

## Static Public Member Functions
static ValueType | get (GetterPtr, const AttributeArray *array, const Index n)
static void | set (SetterPtr, AttributeArray *array, const Index n, const ValueType &value)

## Detailed Description

template<typename CodecType, typename ValueType>
struct openvdb::v13_0::points::AccessorEval< CodecType, ValueType >

Accessor to call unsafe get and set methods based on templated Codec and Value.

## Member Typedef Documentation

## ◆ GetterPtr

template<typename CodecType, typename ValueType>

using GetterPtr = ValueType (*)(const AttributeArray* array, const Index n)

## ◆ SetterPtr

template<typename CodecType, typename ValueType>

using SetterPtr = void (*)(AttributeArray* array, const Index n, const ValueType& value)

## Member Function Documentation

## ◆ get()

template<typename CodecType, typename ValueType>

ValueType get | ( | GetterPtr | ,
|  | const AttributeArray * | array,
|  | const Index | n )
| inline static

Getter that calls to TypedAttributeArray::getUnsafe()

Note
  Functor argument is provided but not required for the generic case

## ◆ set()

template<typename CodecType, typename ValueType>

void set | ( | SetterPtr | ,
|  | AttributeArray * | array,
|  | const Index | n,
|  | const ValueType & | value )
| inline static

Getter that calls to TypedAttributeArray::setUnsafe()

Note
  Functor argument is provided but not required for the generic case